Package com.sun.mail.imap.protocol

# Class BODY

java.lang.Object
com.sun.mail.imap.protocol.BODY

All Implemented Interfaces:
  `Item`

public class BODY extends Object implements Item
The BODY fetch response item.

Author:
  John Mani, Bill Shannon

## Constructor Summary

Constructors
Constructor
Description
`BODY(FetchResponse r)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`ByteArray`
`getByteArray()`
`ByteArrayInputStream`
`getByteArrayInputStream()`
`int`
`getOrigin()`
`String`
`getSection()`
`boolean`
`isHeader()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BODY

public BODY(FetchResponse r) throws ParsingException
Constructor

Parameters:
  `r` - the FetchResponse
Throws:
  `ParsingException` - for parsing failures

## Method Details

### getByteArray

public ByteArray getByteArray()

### getByteArrayInputStream

public ByteArrayInputStream getByteArrayInputStream()

### isHeader

public boolean isHeader()

### getSection

public String getSection()

### getOrigin

public int getOrigin()

Since:
  Jakarta Mail 1.6.4